> For the complete documentation index, see [llms.txt](https://apidocs.cloudinvoice.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://apidocs.cloudinvoice.net/documentacao-api/condicoes-de-pagamento/list.md).

# List

## Lista de Condições de Pagamento

## Fornece uma Lista de todos as Condições de Pagamento existentes.

<mark style="color:blue;">`GET`</mark> `https://api.cloudinvoice.net/payment_terms/`

#### Query Parameters

| Name          | Type    | Description                                                                                                                                                                                                                                       |
| ------------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| limit         | integer | Define o número de condições de pagamento por pesquisa.                                                                                                                                                                                           |
| offset        | integer | Indica a posição inicial da pesquisa. Retorna a lista de condições de pagamento compreendida entre offset:offset+limit.                                                                                                                           |
| ordering      | string  | <p>Define o campo e a direcção a usar na pesquisa de condições de pagamento. </p><p></p><p>Campos ordenáveis: id, code, description, days\_to\_pay. </p><p></p><p>Para ordenar de forma descendente, deve usar o sinal de '-' antes do campo.</p> |
| search        | string  | <p>Define o termo de pesquisa a utilizar na lista de condições de pagamento. </p><p></p><p>Campos Pesquisados: Código, Descrição</p>                                                                                                              |
| code          | string  | Código da Condição de Pagamento.                                                                                                                                                                                                                  |
| description   | string  | <p>Descrição da Forma de Pagamento. </p><p></p><p>Para pesquisa parcial pode usar o formato: "description\_\_search"</p>                                                                                                                          |
| days\_to\_pay | integer | Dias para Pagar                                                                                                                                                                                                                                   |

{% tabs %}
{% tab title="Exemplo de Pedido" %}

```shell
curl https://api.cloudinvoice.net/payment_terms/
    -H "Content-Type: application/json"
```

{% endtab %}

{% tab title="Exemplo de Resposta" %}

```json
{
    "limit": 10,
    "offset": 0,
    "count": 48,
    "next": "https://api.cloudinvoice.net/payment_terms/?limit=10&offset=10",
    "previous": null,
    "results": [
        {
            "id": 2,
            "code": 2,
            "description": "Pagamento a 30 Dias",
            "days_to_pay": 30,
            "is_system": false,
            "is_mandatory": false,
            "obs": "",
            "payment_type_id": 82,
            "payment_type": {
                "code": "02", 
                "description": "Dias após emissão"
            }
        },
        ...

    ]
}
```

{% endtab %}
{% endtabs %}

Para ver exemplos de pedidos nas várias linguagens, consulte a página[ Exemplos de Pedidos.](/introducao/exemplos-de-pedidos.md)

{% hint style="info" %}
**Notas:** Alguns dos campos do termo de pesquisa geral poderão ser incluídos mediante critérios específicos (Ex: Descrição será incluída na pesquisa geral apenas se o termo de pesquisa contiver 3 ou mais caracteres). Por defeito, o comportamento expectável será obter-se todos os items cujo o texto a pesquisar (search) esteja CONTIDO em pelo menos um dos campos incluídos na pesquisa geral.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://apidocs.cloudinvoice.net/documentacao-api/condicoes-de-pagamento/list.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
